Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Samuli Suominen (ssuominen)" <ssuominen@g.o>
Subject: gentoo-x86 commit in app-misc/slmon: slmon-0.5.13.ebuild ChangeLog
Date: Sat, 25 Sep 2010 11:41:04 +0000 (UTC)
ssuominen    10/09/25 11:41:04

  Modified:             slmon-0.5.13.ebuild ChangeLog
  Log:
  Fix building with make >= 3.82 wrt #337403 by Diego E. Pettenò. Fix some of my own old ChangeLog entries too... mess
  
  (Portage version: 2.2_rc86/cvs/Linux x86_64)

Revision  Changes    Path
1.5                  app-misc/slmon/slmon-0.5.13.ebuild

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-misc/slmon/slmon-0.5.13.ebuild?rev=1.5&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-misc/slmon/slmon-0.5.13.ebuild?rev=1.5&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-misc/slmon/slmon-0.5.13.ebuild?r1=1.4&r2=1.5

Index: slmon-0.5.13.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-misc/slmon/slmon-0.5.13.ebuild,v
retrieving revision 1.4
retrieving revision 1.5
diff -u -r1.4 -r1.5
--- slmon-0.5.13.ebuild	9 Feb 2008 05:46:39 -0000	1.4
+++ slmon-0.5.13.ebuild	25 Sep 2010 11:41:04 -0000	1.5
@@ -1,8 +1,9 @@
-# Copyright 1999-2008 Gentoo Foundation
+# Copyright 1999-2010 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-misc/slmon/slmon-0.5.13.ebuild,v 1.4 2008/02/09 05:46:39 drac Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-misc/slmon/slmon-0.5.13.ebuild,v 1.5 2010/09/25 11:41:04 ssuominen Exp $
 
-inherit eutils
+EAPI=2
+inherit autotools eutils
 
 DESCRIPTION="Colored text-based system performance monitor"
 HOMEPAGE="http://slmon.sourceforge.net"
@@ -13,25 +14,26 @@
 KEYWORDS="~amd64 x86"
 IUSE="debug"
 
-RDEPEND=">=dev-libs/glib-2
+RDEPEND="dev-libs/glib:2
 	sys-libs/slang
 	gnome-base/libgtop"
 DEPEND="${RDEPEND}
 	dev-util/pkgconfig"
 
-src_unpack() {
-	unpack ${A}
-	cd "${S}"
-	epatch "${FILESDIR}"/${P}-invalid-free.patch # bug 151293
+src_prepare() {
+	epatch "${FILESDIR}"/${P}-make-382.patch \
+		"${FILESDIR}"/${P}-invalid-free.patch
+	eautoreconf
 }
 
-src_compile() {
-	econf $(use_enable debug)
-	emake || die "emake failed."
+src_configure() {
+	econf \
+		--disable-dependency-tracking \
+		$(use_enable debug)
 }
 
 src_install() {
-	emake DESTDIR="${D}" install || die "emake install failed."
+	emake DESTDIR="${D}" install || die
 	dodoc AUTHORS ChangeLog README slmonrc TODO
 	dohtml *.html
 }



1.14                 app-misc/slmon/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-misc/slmon/ChangeLog?rev=1.14&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-misc/slmon/ChangeLog?rev=1.14&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-misc/slmon/ChangeLog?r1=1.13&r2=1.14

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-misc/slmon/ChangeLog,v
retrieving revision 1.13
retrieving revision 1.14
diff -u -r1.13 -r1.14
--- ChangeLog	9 Feb 2008 05:46:39 -0000	1.13
+++ ChangeLog	25 Sep 2010 11:41:04 -0000	1.14
@@ -1,20 +1,16 @@
 # ChangeLog for app-misc/slmon
-# Copyright 2002-2008 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/app-misc/slmon/ChangeLog,v 1.13 2008/02/09 05:46:39 drac Exp $
+# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/app-misc/slmon/ChangeLog,v 1.14 2010/09/25 11:41:04 ssuominen Exp $
 
-  09 Feb 2008; Samuli Suominen <drac@g.o>
-  -files/slmon-0.5.13-slang-2.patch, slmon-0.5.13.ebuild,
-  -slmon-0.5.13-r1.ebuild:
-  Fix slmon to work with slang 2.1.3.
+  25 Sep 2010; Samuli Suominen <ssuominen@g.o> slmon-0.5.13.ebuild,
+  files/slmon-0.5.13-invalid-free.patch, +files/slmon-0.5.13-make-382.patch:
+  Fix building with make >= 3.82 wrt #337403 by Diego E. Pettenò.
 
 *slmon-0.5.13-r1 (24 Jan 2008)
 
-  24 Jan 2008; Samuli Suominen <drac@g.o>
+  24 Jan 2008; Samuli Suominen <ssuominen@g.o>
   +files/slmon-0.5.13-slang-2.patch, +slmon-0.5.13-r1.ebuild:
-  Use >=sys-libs/slang-2.
-
-  24 Jan 2008; Samuli Suominen <drac@g.o> slmon-0.5.13.ebuild:
-  Depend on =sys-libs/slang-1* and keyword for ~amd64.
+  Fix sys-libs/slang to use version 2.x and keyword ~amd64.
 
   14 Apr 2007; Raúl Porcel <armin76@g.o>
   +files/slmon-0.5.13-invalid-free.patch, slmon-0.5.13.ebuild:





Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
gentoo-x86 commit in app-misc/slmon: slmon-0.5.13.ebuild ChangeLog
Next by thread:
gentoo-x86 commit in sys-process/fcron: fcron-3.0.4.ebuild ChangeLog
Previous by date:
gentoo-x86 commit in app-editors/emacs-vcs: emacs-vcs-23.2.9999.ebuild ChangeLog emacs-vcs-24.0.9999.ebuild
Next by date:
gentoo-x86 commit in app-misc/slmon/files: slmon-0.5.13-make-382.patch slmon-0.5.13-invalid-free.patch


Updated Jun 26, 2012

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.